@echo off
SETLOCAL ENABLEDELAYEDEXPANSION

REM Get client status from the exe
"%ProgramFiles(x86)%\filewave\fwcld.exe" -s > c:\temp\client_check.txt

REM read the model number
set model="nothing"
FOR /F "tokens=4" %%F IN ('type c:\temp\client_check.txt ^| find /i "model"') DO (set model=%%F)

REM
IF [%1] == [%model%] (
	ECHO Models match, do nothing
) else (
	ECHO Client model %model% does not match server model %1

	REM set the server address
	reg add HKLM\Software\wow6432node\filewave\winclient /v server /t REG_SZ /d %2 /f

	REM kill the running instance of FW client
	taskkill /IM "fwcld.exe" /F

	REM remove old client certs
	del c:\programdata\filewave\fwclient\client.*

	REM wait a few secs so service knows it is off
	timeout 5

	REM restart FW client, wait 30 and check it
	sc start filewavewinclient | find /i "state"
	timeout /T 60
	echo final client result state is
	sc query filewavewinclient | find /i "state"
)

REM cleanup temp file
del c:\temp\client_check.txt

